Search
j0ke.net Open Build Service
>
Projects
>
ha
:
firewall
>
Snorby
> snorby.init
Sign Up
|
Log In
Username
Password
Cancel
Overview
Repositories
Revisions
Requests
Users
Advanced
Attributes
Meta
File snorby.init of Package Snorby
#! /bin/sh # Copyright (c) 2009 SUSE Linux AG, Nuernberg, Germany. # All rights reserved. # # Author: Adrian Schroeter # Please send feedback to http://www.suse.de/feedback/ # # /etc/init.d/snorby # and its symbolic link # /(usr/)sbin/rcsnorby # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; if not, write to the Free Software # Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. # ### BEGIN INIT INFO # Provides: snorby # Required-Start: $syslog # Required-Stop: $syslog # Should-Start: $null # Default-Start: 3 5 # Default-Stop: 0 1 2 6 # Short-Description: Snorby IDS webinterface # Description: Start the Snorby IDS webserver ### END INIT INFO . /etc/rc.status DELAYED_BIN=/srv/www/Snorby/script/server . /etc/sysconfig/snorby || exit 6 # Reset status of this service rc_reset case "$1" in start) echo -n "Starting Snorby webservices " startproc -- $DELAYED_BIN run -e ${RAILS_ENV} -b ${BIND_ADDRESS} -p ${BIND_PORT} -d sleep 2 rc_status -v ;; stop) echo -n "Stoping Snorby webservices " killproc -TERM ruby $DELAYED_BIN rc_status -v ;; try-restart|condrestart) if test "$1" = "condrestart"; then echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}" fi $0 status if test $? = 0; then $0 restart else rc_reset # Not running is not a failure. fi rc_status ;; restart) $0 stop $0 start rc_status ;; force-reload) echo -n "Reload Snorby service " $0 try-restart rc_status ;; reload) ## Not supported rc_failed 3 rc_status -v ;; status) echo -n "Checking for service Snorby " checkproc ruby $DELAYED_BIN rc_status -v ;; *) echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}" exit 1 ;; esac rc_exit